summarylogtreecommitdiffstats
path: root/powershell.install
diff options
context:
space:
mode:
Diffstat (limited to 'powershell.install')
-rw-r--r--powershell.install11
1 files changed, 11 insertions, 0 deletions
diff --git a/powershell.install b/powershell.install
new file mode 100644
index 000000000000..53cc793aab94
--- /dev/null
+++ b/powershell.install
@@ -0,0 +1,11 @@
+post_install() {
+ grep -qe '^/usr/bin/powershell$' etc/shells || echo '/usr/bin/powershell' >> etc/shells
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ sed -ri '\|^/usr/bin/powershell$|d' etc/shells
+}